## org.codehaus.groovy.tools.shell.util
Class ANSI

    java.lang.Object
      org.codehaus.groovy.tools.shell.util.ANSI

    public class ANSI

extends Object

Provides support for using ANSI color escape codes.

Version:
  $Id: ANSI.java 7922 2007-09-04 01:42:57Z paulk $
Author:
  Jason Dillon

Nested Class Summary
`static class` `ANSI.Buffer`
`static class` `ANSI.Code`
`static class` `ANSI.Renderer`
`static class` `ANSI.RenderMessageSource`
`static class` `ANSI.RenderWriter`

Constructor Summary
`ANSI()`

Method Summary
`static boolean` `isDetected()`
`static boolean` `isEnabled()`
`static void` `setEnabled(boolean flag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ANSI

    public ANSI()

Method Detail

### isDetected

    public static boolean isDetected()

### setEnabled

    public static void setEnabled(boolean flag)

### isEnabled

    public static boolean isEnabled()

Copyright © 2003-2008 The Codehaus. All rights reserved.